#feature Selecion used for 
data_KRCC_GeneExp_F400_VAR=FSbyVar(KIDNEY_Gene_Expression,  cut.type="topk",value=400)
data_KRCC_miRNA_F100_VAR=FSbyVar(KIDNEY_Mirna_Expression,  cut.type="topk",value=100)
data_KCRR_Methy_F500_VAR=FSbyVar(KIDNEY_Methy_Expression, cut.type="topk",value=500)

data_KRCC_GeneExp_F400_VAR_T=t(data_KRCC_GeneExp_F400_VAR)
data_KRCC_miRNA_F100_VAR_T=t(data_KRCC_miRNA_F100_VAR )
data_KCRR_Methy_F500_VAR_T=t(data_KCRR_Methy_F500_VAR)


#Survival Analysis

data_Merge_Colon_COX_Variotional_1_T<-t((data_Merge_Colon_COX_Variotional_1))

#create objet
#status_GBM<-GBM_Clinical_info$status
#time_GBM<-GBM_Clinical_info$time


#consensus clustering inplemnatation3
result_COAD_COX=ExecuteCC(clusterNum=6 ,d=data_Merge_Colon_COX_Variotional_1_T, maxK=10,clusterAlg="pam",distance="spearman",title="GBM_VAR_CL")



#survival analysis Graph after clustering

group3=result_COAD_COX$group
distanceMatrix3=result_COAD_COX$distanceMatrix





p_value_result_GBM_mRNA_PCA_MERGE=survAnalysis(mainTitle="PAM_SPL_COAD_variational_COX",time_COAD, status_COAD,group3, distanceMatrix3,similarity=TRUE)


library("RTCGA.mRNA")
data(BRCA.mRNA)
mRNA=t(as.matrix(BRCA.mRNA[,-1]))
mRNA=t(as.matrix(BRCA.mRNA[,-1]))
colnames(mRNA)=BRCA.mRNA[,1]

GBM_DNA_data_M<-as.matrix(GBM_DNA_data)
colnames(GBM_DNA_data_M)=GBM_DNA_data_M[,1]


GBM_mRNA_data_Dupli_M<-as.matrix(GBM_mRNA_data_Dupli)
colnames(GBM_DNA_data_M)=GBM_DNA_data_M[,1]

GBM_DNA_data_M<-as.matrix(GBM_DNA_data)

rownames(GBM_mRNA_data_Dupli_M) <- GBM_mRNA_data_Dupli_M[,1]

#SNF_Analisis
data_GBM_mRNA=FSbyCox(GBM_mRNA_data_Dupli_M,time_GBM,status_GBM,cutoff=0.05)
data_GBM_DNA=FSbyCox(GBM_DNA_data_M,time_GBM,status_GBM,cutoff=0.05)



GBM_SNF=list(data_GBM_mRNA=data_GBM_mRNA,data_GBM_DNA=data_GBM_DNA)
resultSNF=ExecuteSNF(GBM_SNF, clusterNum=3, K=20, alpha=0.5, t=20)

group_SNF=resultSNF$group
distanceMatrix_SNF=resultSNF$distanceMatrix


p_value_result_GBM_mRNA_PCA_MERGE=survAnalysis(mainTitle="SNF_BGM_DATA",time_GBM, status_GBM,group_SNF, distanceMatrix_SNF,similarity=TRUE)


#other

result=ExecuteSNF.CC(GBM_SNF, clusterNum=3, K=20, alpha=0.5, t=20,maxK = 10, pItem = 0.8,reps=500, 
                     title = "GBM_SNF", plot = "png", finalLinkage ="average")





#Cox

COLON_Methy_Expression_M<-as.matrix(COLON_Methy_Expression)
COLON_Mirna_Expression_M<-as.matrix(COLON_Mirna_Expression)
COLON_Gene_Expression_M<-as.matrix(COLON_Gene_Expression)



data_Methy_Colon=FSbyCox(COLON_Methy_Expression_M,time_COAD,status_COAD,cutoff=0.05)
data_miRNA_Colon=FSbyCox(COLON_Mirna_Expression_M,time_COAD,status_COAD,cutoff=0.05)
data_mRNA_Colon=FSbyCox(COLON_Gene_Expression_M,time_COAD,status_COAD,cutoff=0.05)

data_Methy_Colon

data_Merge_Colon_t<-t(data_Merge_Colon)


